SSHCopy (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.ssh.SSHCopy class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.ssh
Class SSHCopy

    java.lang.Object
      org.hyperic.util.ssh.SSHBase
          org.hyperic.util.ssh.SSHRemoteExec
              org.hyperic.util.ssh.SSHCopy

    public class SSHCopy

extends SSHRemoteExec

Field Summary

Fields inherited from class org.hyperic.util.ssh.SSHRemoteExec
`command`

Fields inherited from class org.hyperic.util.ssh.SSHBase
`host, password, port, timeout, user`

Constructor Summary
`SSHCopy(java.lang.String user, java.lang.String password, java.lang.String host)`

Method Summary
`void` | `copy(java.io.File file, java.lang.String remotePath)`
`void` | `copy(java.io.File file, java.lang.String remotePath, boolean showProgress)`
`void` | `delete(java.lang.String file)`
`void` | `doSingleCopy(java.io.File file, java.io.InputStream in, java.io.OutputStream out, boolean showProgress)`
`void` | `mkDir(java.lang.String path)`

Methods inherited from class org.hyperic.util.ssh.SSHRemoteExec
`execute, execute, main, sendAck, waitForAck`

Methods inherited from class org.hyperic.util.ssh.SSHBase
`openSession, setPort, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSHCopy

    public SSHCopy(java.lang.String user,
                   java.lang.String password,
                   java.lang.String host)

Method Detail

### delete

    public void delete(java.lang.String file)
                throws SSHRemoteException,
                       SSHExecException

  Throws:
    `SSHRemoteException`
    `SSHExecException`

### mkDir

    public void mkDir(java.lang.String path)
               throws SSHRemoteException,
                      SSHExecException

  Throws:
    `SSHRemoteException`
    `SSHExecException`

### copy

    public void copy(java.io.File file,
                     java.lang.String remotePath)
              throws SSHRemoteException

  Throws:
    `SSHRemoteException`

### copy

    public void copy(java.io.File file,
                     java.lang.String remotePath,
                     boolean showProgress)
              throws SSHRemoteException

  Throws:
    `SSHRemoteException`

### doSingleCopy

    public void doSingleCopy(java.io.File file,
                             java.io.InputStream in,
                             java.io.OutputStream out,
                             boolean showProgress)
                      throws SSHRemoteException

  Throws:
    `SSHRemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.